
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR_LCDC_1_H_
#define _CSLR_LCDC_1_H_
/*********************************************************************
 /** \file cslr_lcdc_1.h
 * 
 * \brief This file contains the Register Desciptions for LCDC
 * 
 *********************************************************************/

#include <cslr.h>

#include <tistdtypes.h>

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 LCDRR;
    volatile Uint32 LCDCR;
    volatile Uint32 LCDSR;
    volatile Uint32 LCDLIDDCR;
    volatile Uint32 LCDLIDDCS0CONFIG;
    volatile Uint32 LCDLIDDCS0ADDR;
    volatile Uint32 LCDLIDDCS0DATA;
    volatile Uint32 LCDLIDDCS1CONFIG;
    volatile Uint32 LCDLIDDCS1ADDR;
    volatile Uint32 LCDLIDDCS1DATA;
    volatile Uint32 LCDRASTCR;
    volatile Uint32 LCDRASTT0R;
    volatile Uint32 LCDRASTT1R;
    volatile Uint32 LCDRASTT2R;
    volatile Uint32 LCDRASTSUBPANDISP;
    volatile Uint8 RSVD0[4];
    volatile Uint32 LCDDMACR;
    volatile Uint32 LCDDMAFB0BAR;
    volatile Uint32 LCDDMAFB0CAR;
    volatile Uint32 LCDDMAFB1BAR;
    volatile Uint32 LCDDMAFB1CAR;
} CSL_LcdcRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* LCDRR */

#define CSL_LCDC_LCDRR_REVMAJ_MASK       (0xFFFF0000u)
#define CSL_LCDC_LCDRR_REVMAJ_SHIFT      (0x00000010u)
#define CSL_LCDC_LCDRR_REVMAJ_RESETVAL   (0x00000001u)

#define CSL_LCDC_LCDRR_REVMIN_MASK       (0x0000FFFFu)
#define CSL_LCDC_LCDRR_REVMIN_SHIFT      (0x00000000u)
#define CSL_LCDC_LCDRR_REVMIN_RESETVAL   (0x00000000u)

#define CSL_LCDC_LCDRR_RESETVAL          (0x00010000u)

/* LCDCR */

#define CSL_LCDC_LCDCR_CLKDIV_MASK       (0x0000FF00u)
#define CSL_LCDC_LCDCR_CLKDIV_SHIFT      (0x00000008u)
#define CSL_LCDC_LCDCR_CLKDIV_RESETVAL   (0x00000000u)

#define CSL_LCDC_LCDCR_MODESEL_MASK      (0x00000001u)
#define CSL_LCDC_LCDCR_MODESEL_SHIFT     (0x00000000u)
#define CSL_LCDC_LCDCR_MODESEL_RESETVAL  (0x00000000u)

/*----MODESEL Tokens----*/
#define CSL_LCDC_LCDCR_MODESEL_LIDD      (0x00000000u)
#define CSL_LCDC_LCDCR_MODESEL_RASTER    (0x00000001u)

#define CSL_LCDC_LCDCR_RESETVAL          (0x00000000u)

/* LCDSR */

#define CSL_LCDC_LCDSR_EOF1_MASK         (0x00000200u)
#define CSL_LCDC_LCDSR_EOF1_SHIFT        (0x00000009u)
#define CSL_LCDC_LCDSR_EOF1_RESETVAL     (0x00000000u)

#define CSL_LCDC_LCDSR_EOF0_MASK         (0x00000100u)
#define CSL_LCDC_LCDSR_EOF0_SHIFT        (0x00000008u)
#define CSL_LCDC_LCDSR_EOF0_RESETVAL     (0x00000000u)

#define CSL_LCDC_LCDSR_PL_MASK           (0x00000040u)
#define CSL_LCDC_LCDSR_PL_SHIFT          (0x00000006u)
#define CSL_LCDC_LCDSR_PL_RESETVAL       (0x00000000u)

#define CSL_LCDC_LCDSR_FUF_MASK          (0x00000020u)
#define CSL_LCDC_LCDSR_FUF_SHIFT         (0x00000005u)
#define CSL_LCDC_LCDSR_FUF_RESETVAL      (0x00000000u)

#define CSL_LCDC_LCDSR_ABC_MASK          (0x00000008u)
#define CSL_LCDC_LCDSR_ABC_SHIFT         (0x00000003u)
#define CSL_LCDC_LCDSR_ABC_RESETVAL      (0x00000000u)

#define CSL_LCDC_LCDSR_SYNC_MASK         (0x00000004u)
#define CSL_LCDC_LCDSR_SYNC_SHIFT        (0x00000002u)
#define CSL_LCDC_LCDSR_SYNC_RESETVAL     (0x00000000u)

#define CSL_LCDC_LCDSR_DONE_MASK         (0x00000001u)
#define CSL_LCDC_LCDSR_DONE_SHIFT        (0x00000000u)
#define CSL_LCDC_LCDSR_DONE_RESETVAL     (0x00000000u)

#define CSL_LCDC_LCDSR_RESETVAL          (0x00000000u)

/* LCDLIDDCR */

#define CSL_LCDC_LCDLIDDCR_DONE_INT_EN_MASK (0x00000400u)
#define CSL_LCDC_LCDLIDDCR_DONE_INT_EN_SHIFT (0x0000000Au)
#define CSL_LCDC_LCDLIDDCR_DONE_INT_EN_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_DMA_CS0_CS1_MASK (0x00000200u)
#define CSL_LCDC_LCDLIDDCR_DMA_CS0_CS1_SHIFT (0x00000009u)
#define CSL_LCDC_LCDLIDDCR_DMA_CS0_CS1_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_LIDD_DMA_EN_MASK (0x00000100u)
#define CSL_LCDC_LCDLIDDCR_LIDD_DMA_EN_SHIFT (0x00000008u)
#define CSL_LCDC_LCDLIDDCR_LIDD_DMA_EN_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_CS1_E1_POL_MASK (0x00000080u)
#define CSL_LCDC_LCDLIDDCR_CS1_E1_POL_SHIFT (0x00000007u)
#define CSL_LCDC_LCDLIDDCR_CS1_E1_POL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_CS0_E0_POL_MASK (0x00000040u)
#define CSL_LCDC_LCDLIDDCR_CS0_E0_POL_SHIFT (0x00000006u)
#define CSL_LCDC_LCDLIDDCR_CS0_E0_POL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_WS_DIR_POL_MASK (0x00000020u)
#define CSL_LCDC_LCDLIDDCR_WS_DIR_POL_SHIFT (0x00000005u)
#define CSL_LCDC_LCDLIDDCR_WS_DIR_POL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_RS_EN_POL_MASK (0x00000010u)
#define CSL_LCDC_LCDLIDDCR_RS_EN_POL_SHIFT (0x00000004u)
#define CSL_LCDC_LCDLIDDCR_RS_EN_POL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_ALEPOL_MASK   (0x00000008u)
#define CSL_LCDC_LCDLIDDCR_ALEPOL_SHIFT  (0x00000003u)
#define CSL_LCDC_LCDLIDDCR_ALEPOL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_MASK (0x00000007u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_RESETVAL (0x00000000u)

/*----LIDD_MODE_SEL Tokens----*/
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_SYNC_MPU68 (0x00000000u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_ASYNC_MPU68 (0x00000001u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_SYNC_MPU80 (0x00000002u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_ASYNC_MPU80 (0x00000003u)
#define CSL_LCDC_LCDLIDDCR_LIDD_MODE_SEL_HITACHI (0x00000004u)

#define CSL_LCDC_LCDLIDDCR_RESETVAL      (0x00000000u)

/* LCDLIDDCS0CONFIG */

#define CSL_LCDC_LCDLIDDCS0CONFIG_W_SU_MASK (0xF8000000u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_SU_SHIFT (0x0000001Bu)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_SU_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_W_STROBE_MASK (0x07E00000u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_STROBE_SHIFT (0x00000015u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_STROBE_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_W_HOLD_MASK (0x001E0000u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_HOLD_SHIFT (0x00000011u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_W_HOLD_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_R_SU_MASK (0x0001F000u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_SU_SHIFT (0x0000000Cu)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_SU_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_R_STROBE_MASK (0x00000FC0u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_STROBE_SHIFT (0x00000006u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_STROBE_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_R_HOLD_MASK (0x0000003Cu)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_HOLD_SHIFT (0x00000002u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_R_HOLD_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_TA_MASK (0x00000003u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_TA_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS0CONFIG_TA_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS0CONFIG_RESETVAL (0x00220044u)

/* LCDLIDDCS0ADDR */

#define CSL_LCDC_LCDLIDDCS0ADDR_ADR_INDX_MASK (0x0000FFFFu)
#define CSL_LCDC_LCDLIDDCS0ADDR_ADR_INDX_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS0ADDR_ADR_INDX_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS0ADDR_RESETVAL (0x00000000u)

/* LCDLIDDCS0DATA */

#define CSL_LCDC_LCDLIDDCS0DATA_DATA_MASK (0x0000FFFFu)
#define CSL_LCDC_LCDLIDDCS0DATA_DATA_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS0DATA_DATA_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS0DATA_RESETVAL (0x00000000u)

/* LCDLIDDCS1CONFIG */

#define CSL_LCDC_LCDLIDDCS1CONFIG_W_SU_MASK (0xF8000000u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_SU_SHIFT (0x0000001Bu)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_SU_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_W_STROBE_MASK (0x07E00000u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_STROBE_SHIFT (0x00000015u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_STROBE_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_W_HOLD_MASK (0x001E0000u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_HOLD_SHIFT (0x00000011u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_W_HOLD_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_R_SU_MASK (0x0001F000u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_SU_SHIFT (0x0000000Cu)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_SU_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_R_STROBE_MASK (0x00000FC0u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_STROBE_SHIFT (0x00000006u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_STROBE_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_R_HOLD_MASK (0x0000003Cu)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_HOLD_SHIFT (0x00000002u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_R_HOLD_RESETVAL (0x00000001u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_TA_MASK (0x00000003u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_TA_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS1CONFIG_TA_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS1CONFIG_RESETVAL (0x00220044u)

/* LCDLIDDCS1ADDR */

#define CSL_LCDC_LCDLIDDCS1ADDR_ADR_INDX_MASK (0x0000FFFFu)
#define CSL_LCDC_LCDLIDDCS1ADDR_ADR_INDX_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS1ADDR_ADR_INDX_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS1ADDR_RESETVAL (0x00000000u)

/* LCDLIDDCS1DATA */

#define CSL_LCDC_LCDLIDDCS1DATA_DATA_MASK (0x0000FFFFu)
#define CSL_LCDC_LCDLIDDCS1DATA_DATA_SHIFT (0x00000000u)
#define CSL_LCDC_LCDLIDDCS1DATA_DATA_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDLIDDCS1DATA_RESETVAL (0x00000000u)

/* LCDRASTCR */

#define CSL_LCDC_LCDRASTCR_STN565_MASK   (0x01000000u)
#define CSL_LCDC_LCDRASTCR_STN565_SHIFT  (0x00000018u)
#define CSL_LCDC_LCDRASTCR_STN565_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_TFTMAP_MASK   (0x00800000u)
#define CSL_LCDC_LCDRASTCR_TFTMAP_SHIFT  (0x00000017u)
#define CSL_LCDC_LCDRASTCR_TFTMAP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_NIBMODE_MASK  (0x00400000u)
#define CSL_LCDC_LCDRASTCR_NIBMODE_SHIFT (0x00000016u)
#define CSL_LCDC_LCDRASTCR_NIBMODE_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_PALMODE_MASK  (0x00300000u)
#define CSL_LCDC_LCDRASTCR_PALMODE_SHIFT (0x00000014u)
#define CSL_LCDC_LCDRASTCR_PALMODE_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_REQDLY_MASK   (0x000FF000u)
#define CSL_LCDC_LCDRASTCR_REQDLY_SHIFT  (0x0000000Cu)
#define CSL_LCDC_LCDRASTCR_REQDLY_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_MONO8B_MASK   (0x00000200u)
#define CSL_LCDC_LCDRASTCR_MONO8B_SHIFT  (0x00000009u)
#define CSL_LCDC_LCDRASTCR_MONO8B_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_RDORDER_MASK  (0x00000100u)
#define CSL_LCDC_LCDRASTCR_RDORDER_SHIFT (0x00000008u)
#define CSL_LCDC_LCDRASTCR_RDORDER_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_LCDTFT_MASK   (0x00000080u)
#define CSL_LCDC_LCDRASTCR_LCDTFT_SHIFT  (0x00000007u)
#define CSL_LCDC_LCDRASTCR_LCDTFT_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_FUFEN_MASK    (0x00000040u)
#define CSL_LCDC_LCDRASTCR_FUFEN_SHIFT   (0x00000006u)
#define CSL_LCDC_LCDRASTCR_FUFEN_RESETVAL (0x00000000u)

/*----FUFEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_FUFEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_FUFEN_ENABLE  (0x00000001u)

#define CSL_LCDC_LCDRASTCR_SYNCEN_MASK   (0x00000020u)
#define CSL_LCDC_LCDRASTCR_SYNCEN_SHIFT  (0x00000005u)
#define CSL_LCDC_LCDRASTCR_SYNCEN_RESETVAL (0x00000000u)

/*----SYNCEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_SYNCEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_SYNCEN_ENABLE (0x00000001u)

#define CSL_LCDC_LCDRASTCR_LOADEN_MASK   (0x00000010u)
#define CSL_LCDC_LCDRASTCR_LOADEN_SHIFT  (0x00000004u)
#define CSL_LCDC_LCDRASTCR_LOADEN_RESETVAL (0x00000000u)

/*----LOADEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_LOADEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_LOADEN_ENABLE (0x00000001u)

#define CSL_LCDC_LCDRASTCR_DONEEN_MASK   (0x00000008u)
#define CSL_LCDC_LCDRASTCR_DONEEN_SHIFT  (0x00000003u)
#define CSL_LCDC_LCDRASTCR_DONEEN_RESETVAL (0x00000000u)

/*----DONEEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_DONEEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_DONEEN_ENABLE (0x00000001u)

#define CSL_LCDC_LCDRASTCR_ABCEN_MASK    (0x00000004u)
#define CSL_LCDC_LCDRASTCR_ABCEN_SHIFT   (0x00000002u)
#define CSL_LCDC_LCDRASTCR_ABCEN_RESETVAL (0x00000000u)

/*----ABCEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_ABCEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_ABCEN_ENABLE  (0x00000001u)

#define CSL_LCDC_LCDRASTCR_LCDBW_MASK    (0x00000002u)
#define CSL_LCDC_LCDRASTCR_LCDBW_SHIFT   (0x00000001u)
#define CSL_LCDC_LCDRASTCR_LCDBW_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTCR_LCDEN_MASK    (0x00000001u)
#define CSL_LCDC_LCDRASTCR_LCDEN_SHIFT   (0x00000000u)
#define CSL_LCDC_LCDRASTCR_LCDEN_RESETVAL (0x00000000u)

/*----LCDEN Tokens----*/
#define CSL_LCDC_LCDRASTCR_LCDEN_DISABLE (0x00000000u)
#define CSL_LCDC_LCDRASTCR_LCDEN_ENABLE  (0x00000001u)

#define CSL_LCDC_LCDRASTCR_RESETVAL      (0x00000000u)

/* LCDRASTT0R */

#define CSL_LCDC_LCDRASTT0R_HBP_MASK     (0xFF000000u)
#define CSL_LCDC_LCDRASTT0R_HBP_SHIFT    (0x00000018u)
#define CSL_LCDC_LCDRASTT0R_HBP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT0R_HFP_MASK     (0x00FF0000u)
#define CSL_LCDC_LCDRASTT0R_HFP_SHIFT    (0x00000010u)
#define CSL_LCDC_LCDRASTT0R_HFP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT0R_HSW_MASK     (0x0000FC00u)
#define CSL_LCDC_LCDRASTT0R_HSW_SHIFT    (0x0000000Au)
#define CSL_LCDC_LCDRASTT0R_HSW_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT0R_PPL_MASK     (0x000003FFu)
#define CSL_LCDC_LCDRASTT0R_PPL_SHIFT    (0x00000000u)
#define CSL_LCDC_LCDRASTT0R_PPL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT0R_RESETVAL     (0x00000000u)

/* LCDRASTT1R */

#define CSL_LCDC_LCDRASTT1R_VBP_MASK     (0xFF000000u)
#define CSL_LCDC_LCDRASTT1R_VBP_SHIFT    (0x00000018u)
#define CSL_LCDC_LCDRASTT1R_VBP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT1R_VFP_MASK     (0x00FF0000u)
#define CSL_LCDC_LCDRASTT1R_VFP_SHIFT    (0x00000010u)
#define CSL_LCDC_LCDRASTT1R_VFP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT1R_VSW_MASK     (0x0000FC00u)
#define CSL_LCDC_LCDRASTT1R_VSW_SHIFT    (0x0000000Au)
#define CSL_LCDC_LCDRASTT1R_VSW_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT1R_LPP_MASK     (0x000003FFu)
#define CSL_LCDC_LCDRASTT1R_LPP_SHIFT    (0x00000000u)
#define CSL_LCDC_LCDRASTT1R_LPP_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT1R_RESETVAL     (0x00000000u)

/* LCDRASTT2R */

#define CSL_LCDC_LCDRASTT2R_PHSVS_ON_OFF_MASK (0x02000000u)
#define CSL_LCDC_LCDRASTT2R_PHSVS_ON_OFF_SHIFT (0x00000019u)
#define CSL_LCDC_LCDRASTT2R_PHSVS_ON_OFF_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_PHSVS_RF_MASK (0x01000000u)
#define CSL_LCDC_LCDRASTT2R_PHSVS_RF_SHIFT (0x00000018u)
#define CSL_LCDC_LCDRASTT2R_PHSVS_RF_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_IEO_MASK     (0x00800000u)
#define CSL_LCDC_LCDRASTT2R_IEO_SHIFT    (0x00000017u)
#define CSL_LCDC_LCDRASTT2R_IEO_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_IPC_MASK     (0x00400000u)
#define CSL_LCDC_LCDRASTT2R_IPC_SHIFT    (0x00000016u)
#define CSL_LCDC_LCDRASTT2R_IPC_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_IHS_MASK     (0x00200000u)
#define CSL_LCDC_LCDRASTT2R_IHS_SHIFT    (0x00000015u)
#define CSL_LCDC_LCDRASTT2R_IHS_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_IVS_MASK     (0x00100000u)
#define CSL_LCDC_LCDRASTT2R_IVS_SHIFT    (0x00000014u)
#define CSL_LCDC_LCDRASTT2R_IVS_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_ACBI_MASK    (0x000F0000u)
#define CSL_LCDC_LCDRASTT2R_ACBI_SHIFT   (0x00000010u)
#define CSL_LCDC_LCDRASTT2R_ACBI_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_ACB_MASK     (0x0000FF00u)
#define CSL_LCDC_LCDRASTT2R_ACB_SHIFT    (0x00000008u)
#define CSL_LCDC_LCDRASTT2R_ACB_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTT2R_RESETVAL     (0x00000000u)

/* LCDRASTSUBPANDISP */

#define CSL_LCDC_LCDRASTSUBPANDISP_SPEN_MASK (0x80000000u)
#define CSL_LCDC_LCDRASTSUBPANDISP_SPEN_SHIFT (0x0000001Fu)
#define CSL_LCDC_LCDRASTSUBPANDISP_SPEN_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTSUBPANDISP_HOLS_MASK (0x20000000u)
#define CSL_LCDC_LCDRASTSUBPANDISP_HOLS_SHIFT (0x0000001Du)
#define CSL_LCDC_LCDRASTSUBPANDISP_HOLS_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTSUBPANDISP_LPPT_MASK (0x03FF0000u)
#define CSL_LCDC_LCDRASTSUBPANDISP_LPPT_SHIFT (0x00000010u)
#define CSL_LCDC_LCDRASTSUBPANDISP_LPPT_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTSUBPANDISP_DPD_MASK (0x0000FFF0u)
#define CSL_LCDC_LCDRASTSUBPANDISP_DPD_SHIFT (0x00000004u)
#define CSL_LCDC_LCDRASTSUBPANDISP_DPD_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDRASTSUBPANDISP_RESETVAL (0x00000000u)

/* LCDDMACR */

#define CSL_LCDC_LCDDMACR_BURST_SIZE_MASK (0x00000070u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_SHIFT (0x00000004u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_RESETVAL (0x00000000u)

/*----BURST_SIZE Tokens----*/
#define CSL_LCDC_LCDDMACR_BURST_SIZE_BSIZE1 (0x00000000u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_BSIZE2 (0x00000001u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_BSIZE4 (0x00000002u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_BSIZE8 (0x00000003u)
#define CSL_LCDC_LCDDMACR_BURST_SIZE_BSIZE16 (0x00000004u)

#define CSL_LCDC_LCDDMACR_EOF_INTEN_MASK (0x00000004u)
#define CSL_LCDC_LCDDMACR_EOF_INTEN_SHIFT (0x00000002u)
#define CSL_LCDC_LCDDMACR_EOF_INTEN_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMACR_BIGENDIAN_MASK (0x00000002u)
#define CSL_LCDC_LCDDMACR_BIGENDIAN_SHIFT (0x00000001u)
#define CSL_LCDC_LCDDMACR_BIGENDIAN_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMACR_FRAME_MODE_MASK (0x00000001u)
#define CSL_LCDC_LCDDMACR_FRAME_MODE_SHIFT (0x00000000u)
#define CSL_LCDC_LCDDMACR_FRAME_MODE_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMACR_RESETVAL       (0x00000000u)

/* LCDDMAFB0BAR */

#define CSL_LCDC_LCDDMAFB0BAR_FB0_BASE_MASK (0xFFFFFFFCu)
#define CSL_LCDC_LCDDMAFB0BAR_FB0_BASE_SHIFT (0x00000002u)
#define CSL_LCDC_LCDDMAFB0BAR_FB0_BASE_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMAFB0BAR_RESETVAL   (0x00000000u)

/* LCDDMAFB0CAR */

#define CSL_LCDC_LCDDMAFB0CAR_FB0_CEIL_MASK (0xFFFFFFFCu)
#define CSL_LCDC_LCDDMAFB0CAR_FB0_CEIL_SHIFT (0x00000002u)
#define CSL_LCDC_LCDDMAFB0CAR_FB0_CEIL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMAFB0CAR_RESETVAL   (0x00000000u)

/* LCDDMAFB1BAR */

#define CSL_LCDC_LCDDMAFB1BAR_FB1_BASE_MASK (0xFFFFFFFCu)
#define CSL_LCDC_LCDDMAFB1BAR_FB1_BASE_SHIFT (0x00000002u)
#define CSL_LCDC_LCDDMAFB1BAR_FB1_BASE_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMAFB1BAR_RESETVAL   (0x00000000u)

/* LCDDMAFB1CAR */

#define CSL_LCDC_LCDDMAFB1CAR_FB1_CEIL_MASK (0xFFFFFFFCu)
#define CSL_LCDC_LCDDMAFB1CAR_FB1_CEIL_SHIFT (0x00000002u)
#define CSL_LCDC_LCDDMAFB1CAR_FB1_CEIL_RESETVAL (0x00000000u)

#define CSL_LCDC_LCDDMAFB1CAR_RESETVAL   (0x00000000u)

#endif
